Subject: Re: [PATCH] ehea: Optional TX/RX path optimized for SMP

From: Jan-Bernd Themann <[email-masked]>
Date: Mon, 26 Feb 2007 14:43:46 +0100

Hi

> Also, as far as the approach of using tasklets, I think it would be
> better to use the "fake netdev" approach to continue to use NAPI.
> Basically you create a pseudo-netdev for each receive queue and have
> NAPI handle the polling for you -- you could look for
> drivers/net/cxgb3 for an example of this.
> 
Thanks for pointing us to this solution. We are now building a NAPI version
that makes use of these pseudo-netdev. The fairness amongst other netdevices
should be better this way.

> 
> Why make this a module option that the user has to set?  Are there any
> circumstances when someone wouldn't want "significant performance
> improvements?"  If this approach is just better, then it should just
> replace the old code.
> 

We'll change the default behaviour to multi queue, but we'd like to keep
the option to run in a single queue mode for debug and backward compabilty.

Thanks,

Jan-Bernd & Christoph R.